buildscript {
    repositories {
        mavenLocal()
        maven { url "http://maven.aliyun.com/nexus/content/groups/public" }
        mavenCentral()
    }
    dependencies {
        classpath("$bootGroup:spring-boot-gradle-plugin:$springBootVersion")
    }
}


version = '1.0.3'

apply plugin: "$bootGroup"
apply plugin: 'io.spring.dependency-management'


dependencies {
    compile project(":common:utils")
    compile("$bootGroup:spring-boot-starter-web")
    compile("$bootGroup:spring-boot-starter-undertow")
    compile("$bootGroup:spring-boot-starter-websocket")
    compile('org.apache.logging.log4j:log4j-core:2.15.0')
    compile('org.apache.logging.log4j:log4j-jul:2.15.0')
    compile('org.apache.logging.log4j:log4j-api:2.15.0')
    compile('org.apache.logging.log4j:log4j-slf4j-impl:2.15.0')
    compile 'mysql:mysql-connector-java:5.1.28'
    compile 'com.alibaba:druid:1.0.25'
    compile 'com.alibaba:fastjson:1.2.17'


    compile 'com.baomidou:mybatis-plus-boot-starter:3.1.1'
    compile 'com.baomidou:mybatis-plus-generator:3.1.1'

    testCompile("$bootGroup:spring-boot-starter-test")
    implementation 'com.xuxueli:xxl-job-core:2.3.0'


}

